/*
 * orig: from sys/bsd/sysdef.h
 */

/*
 *		Minix (Atari St only tested)
 */
#include <stdio.h>

#define	KBLOCK	1024			/* Kill grow.			*/
#define	GOOD	0			/* Good exit status.		*/
#define	MAXPATH	128			/* Maximum length of path for chdir */
#ifndef __GNUC__			/* Gnu C lib has it		*/
#define LOCAL_VARARGS                   /* Minix does'nt have it        */
#endif

#define PREFIXREGION
#define STARTUP
#define BACKUP
#define XKEYS
#define BSMAP		FALSE		/* BSMAP code, default to off */

typedef long	RSIZE;			/* Type for file/region sizes	*/
typedef int	KCHAR;			/* Type for internal keystrokes	*/

/*
 * Macros used by the buffer name making code.
 * Start at the end of the file name, scan to the left
 * until BDC1 (or BDC2, if defined) is reached. The buffer
 * name starts just to the right of that location, and
 * stops at end of string (or at the next BDC3 character,
 * if defined). BDC2 and BDC3 are mainly for VMS.
 */
#define	BDC1	'/'			/* Buffer names.		*/

#define MALLOCROUND(m) ((m)+=3,(m)&=~3)	/* 4-byte blocks 	 	*/

#define	fncmp		strcmp		/* file name comparison		*/
char *getenv();
#define	gettermtype()	getenv("TERM")	/* determine terminal type	*/
